<?php

namespace App\Modules\OnlinePayment\Contracts;

use Illuminate\Http\Client\Response;

interface PaymentProviderContract
{
    public function sendRequest(): Response;

    public function orderNumber(): int|string;

    public function amount(): int|float|string;

    public function description(): string;

    public function returnUrl(): string;

    public function username(): string;
}
